Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class JBrowsePlugin.OpenAction

    java.lang.Object
      gnu.MenuAction
          gnu.jbrowser.JBrowsePlugin.OpenAction

All Implemented Interfaces:
  JBrowse.Activator, java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  JBrowsePlugin

    public static class JBrowsePlugin.OpenAction

extends MenuAction
implements JBrowse.Activator

Field Summary

Fields inherited from class gnu.MenuAction
`name`

Constructor Summary
`JBrowsePlugin.OpenAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`JBrowseParser` | `getJBrowseParser()`
`AbstractEditorPanel` | `getOwner()`
`PropertyAccessor` | `getPropertyAccessor()`
`UMLTree` | `getUMLTree()`

Methods inherited from class gnu.MenuAction
`getJextParent, getJextParent, getName, getNSTextArea, getNSTextArea, getTextArea, getTextArea`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBrowsePlugin.OpenAction

    public JBrowsePlugin.OpenAction()

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### getOwner

    public AbstractEditorPanel getOwner()

  Specified by:
    `getOwner` in interface `JBrowse.Activator`

### getPropertyAccessor

    public PropertyAccessor getPropertyAccessor()

  Specified by:
    `getPropertyAccessor` in interface `JBrowse.Activator`

### getJBrowseParser

    public JBrowseParser getJBrowseParser()

  Specified by:
    `getJBrowseParser` in interface `JBrowse.Activator`

### getUMLTree

    public UMLTree getUMLTree()

  Specified by:
    `getUMLTree` in interface `JBrowse.Activator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.